GNU bug report logs - #40403
emacs ada-mode : updated build.sh script.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs, ada-mode; Reported by: Koen Meersman <koen.meersman@HIDDEN>; Keywords: pending; dated Fri, 3 Apr 2020 12:25:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) pending. Request was from Stephen Leake <stephen_leake@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Apr 2020 12:24:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 03 08:24:28 2020
Received: from localhost ([127.0.0.1]:41341 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jKLN5-00056s-JF
	for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 08:24:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:56158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <koen.meersman@HIDDEN>) id 1jKKm8-0002FN-8L
 for submit <at> debbugs.gnu.org; Fri, 03 Apr 2020 07:46:16 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48591)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <koen.meersman@HIDDEN>) id 1jKKm6-0005AL-EY
 for bug-gnu-emacs@HIDDEN; Fri, 03 Apr 2020 07:46:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <koen.meersman@HIDDEN>) id 1jKKm4-0007lw-Ss
 for bug-gnu-emacs@HIDDEN; Fri, 03 Apr 2020 07:46:14 -0400
Received: from mail-ot1-x343.google.com ([2607:f8b0:4864:20::343]:45402)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <koen.meersman@HIDDEN>)
 id 1jKKm4-0007lX-OY
 for bug-gnu-emacs@HIDDEN; Fri, 03 Apr 2020 07:46:12 -0400
Received: by mail-ot1-x343.google.com with SMTP id c9so6877670otl.12
 for <bug-gnu-emacs@HIDDEN>; Fri, 03 Apr 2020 04:46:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=kIvNNhIR5aGOxf3n5VTmQLj0MB8U7JrbSEHjGC5q05A=;
 b=ILXVHUgvpcXd9flh5zC9LHUdzTK5RThYw0NzA6rUvy7XU8QoTbIg9dt3Abo4YEgv2i
 G2yjXyJ6Ruy1zpPFNejYId+g8KayemEs8U4tgLyfTlik6ohDboWOFbpkhXMjDkCdOi9M
 SX0PNn8OtSp42bYf/xiig6mwmeKx/KCExO8yJ+4uzh/rixKU3bPSmslyh2DgN7H5AKp4
 d4Yhx+Dsuh4ZJMJX8m8OSwhERKYqO1lHvU08j9u9CRGVZ02Vohx5m76epeerPQa4306G
 B/ZaKI5Jt98EfhdhKhrLtokcEq5xERPBZkYDsiFAILzNa2b4BVitt8yiYIvGfDHxEoj5
 SYWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=kIvNNhIR5aGOxf3n5VTmQLj0MB8U7JrbSEHjGC5q05A=;
 b=oxQ0txeHDywB8nB6AKwWtgMdDINgk6zmFHV9kyQv0wC9I5TFsFs29SM29/09mR4dgj
 8SS+w5UNEuVuSlkDXK+J2vU9k5HnhrPvWhFq6EIuQHbX7NZ0Rh7vawUxGWg2lhmxrZ7x
 raPQLlaxzna0/5LQ3Iz6SboB+yIEHoXbEAjHXORsVb9/ife7xoHh3Qc7akgIssXL3t+r
 k99Skl1LrdlznT75jopBs2mMAMWmV44DmBv9FJERKwTWKXFZn+M7bOI1bPsSka9Eyr6U
 eWpqgUyHZCx44DQSLtprOYPLmo9Jf0l2Rx4bk+tAZEGuo+TIjJp+3L9pp9hNxe+b95mP
 /QCA==
X-Gm-Message-State: AGi0PuYEgxamONjaT58kWGXSiGO9DiVpiXGllOsVL9Q/Bpad7XcMxjFz
 +l1+sBckXA4dwt0BkBoaI0RP7J30nmWZFo5BXMFrkDSOE98=
X-Google-Smtp-Source: APiQypJ1yul8EBEySqYUSkZCxQ8G+tfTFr0SNYoKgl22GXVatwDhzSOvnFy1hMX1BydzjY8EcnTmFDbpn1Ef/O+WCZA=
X-Received: by 2002:a9d:12d:: with SMTP id 42mr5778140otu.2.1585914371674;
 Fri, 03 Apr 2020 04:46:11 -0700 (PDT)
MIME-Version: 1.0
From: Koen Meersman <koen.meersman@HIDDEN>
Date: Fri, 3 Apr 2020 13:46:00 +0200
Message-ID: <CADi_At8TwXedmKPA4fb==DktC-GPBYB364WKzTKWbYUKGd3KBw@HIDDEN>
Subject: emacs ada-mode : updated build.sh script.
To: bug-gnu-emacs@HIDDEN, ada-mode-users@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000c4958005a2617653"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::343
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Package: emacs, ada-mode -- I have updated build.sh a bit:
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: adb.gp]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (koen.meersman[at]gmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 03 Apr 2020 08:24:26 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000c4958005a2617653
Content-Type: text/plain; charset="UTF-8"

Package: emacs, ada-mode

--

I have updated build.sh a bit:

  * if build.sh called with extra options then these options are passed to
gprbuild.
    (to allow using more CPU's, passing other gnat options, ... without
modifying the *.gpr files.)
  * Not using ' $GPR_PROJECT_PATH' to wisi directory, as GPR_PROJECT_PATH
is used by gprbuild. (and can point to own compiled gnatcoll_xref and
others)
  * Allow calling build.sh multiple times
           - first call gprclean, to clean project
           - not removing ' ada_lr1_parse_table.txt.gz'

If you agree on these changes, can someone apply this patch to ada-mode?

Thanks,

Koen

The patch :

--- build.sh.orig       2020-04-03 11:33:25.771222460 +0000
+++ build.sh    2020-04-03 11:34:37.337921847 +0000
@@ -1,29 +1,38 @@
 #!/bin/sh
 # Build executables for Ada mode.
+#    build.sh <other gprbuild options>
+#    e.g. 'build.sh -j0' : use all available processors to compile
+#         'build.sh -wn' : treat warnings as warnings.
+#         'build.sh -vh' : Verbose output (high verbosity)
 #
 # See install.sh for install
-
+#
 # In December 2016, GNATCOLL changed its Xref interface. First, the
 # GPR was split out; and second, one of the subprogram
 # interfaces.changed.
 #
+
 # Determine whether the split-out gnatcoll_xref.gpr is available.
+# To get ada-mode compiling with gnatcoll_xref, make sure the gnatcoll
directory is added to $GPR_PROJECT_PATH
+# i.e. the following file should exist: $GPR_PROJECT_PATH/gnatcoll_xref.gpr
 echo 'with "gnatcoll_xref"; abstract project check_xref is end
check_xref;' > check_xref.gpr;
-gprbuild -P check_xref.gpr > /dev/null 2>&1;
+gprbuild -f -P check_xref.gpr > /dev/null 2>&1;
 if test $? -eq 0 ; then HAVE_GNATCOLL_XREF="yes"; else
HAVE_GNATCOLL_XREF="no"; fi
-
 echo "HAVE_GNATCOLL_XREF=$HAVE_GNATCOLL_XREF"

+WISI_DIR="../wisi-3.0.1"
+TOP_GPR="ada_mode_wisi_parse.gpr"
+
 gnatprep -DHAVE_GNATCOLL_XREF=$HAVE_GNATCOLL_XREF
gpr_query-process_refresh.adb.gp gpr_query-process_refresh.adb

 # support for libadalang is still experimental
 gnatprep -DHAVE_GNATCOLL_XREF=$HAVE_GNATCOLL_XREF -DHAVE_LIBADALANG="no"
-DELPA="yes" ada_mode_wisi_parse.gpr.gp ada_mode_wisi_parse.gpr

-export GPR_PROJECT_PATH="../wisi-3.0.1"
+gnatprep -DELPA="yes" $WISI_DIR/wisi.gpr.gp $WISI_DIR/wisi.gpr

-gnatprep -DELPA="yes" $GPR_PROJECT_PATH/wisi.gpr.gp
$GPR_PROJECT_PATH/wisi.gpr
+gprclean -r -P $TOP_GPR -aP$WISI_DIR

-gprbuild -p -j8 -P ada_mode_wisi_parse.gpr
-gzip -d -q ada_lr1_parse_table.txt.gz
+gprbuild -p -j8 -P $TOP_GPR -aP $WISI_DIR "$@"

+gzip -c -d -q ada_lr1_parse_table.txt.gz >ada_lr1_parse_table.txt
 # end of file

---
Koen Meersman
Sint Lambertuslaan 85
2812 Muizen
+ 32 (0)15 34 66 08
+ 32 (0)476 60 69 30
koen.meersman@HIDDEN

--000000000000c4958005a2617653
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><span style=3D"color:rgb(0,0,0);font-family:monospace=
;font-size:medium">Package: emacs, ada-mode</span>=C2=A0</div><div><br></di=
v><div>--</div><div>=C2=A0<br></div><div>I have updated build.sh a bit:=C2=
=A0</div><div><br></div><div>=C2=A0 * if build.sh called with extra options=
 then these options are passed to gprbuild.</div><div>=C2=A0 =C2=A0 (to all=
ow using more CPU&#39;s, passing other gnat options, ... without modifying =
the *.gpr files.)=C2=A0</div><div>=C2=A0 * Not using &#39;

$GPR_PROJECT_PATH&#39; to wisi directory, as GPR_PROJECT_PATH is used by gp=
rbuild. (and can point to own compiled=C2=A0gnatcoll_xref and others)</div>=
<div>=C2=A0 * Allow calling build.sh multiple times=C2=A0</div><div>=C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0- first call gprclean, to clean project</=
div><div>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0- not removing &#39;

ada_lr1_parse_table.txt.gz&#39;</div><div><br></div><div>If you agree on th=
ese changes, can someone apply this patch to ada-mode?=C2=A0</div><div><br>=
</div><div>Thanks,=C2=A0</div><div><br></div><div>Koen</div><div><br></div>=
The patch :=C2=A0<div><br><div>--- build.sh.orig =C2=A0 =C2=A0 =C2=A0 2020-=
04-03 11:33:25.771222460 +0000<br>+++ build.sh =C2=A0 =C2=A02020-04-03 11:3=
4:37.337921847 +0000<br>@@ -1,29 +1,38 @@<br>=C2=A0#!/bin/sh<br>=C2=A0# Bui=
ld executables for Ada mode.<br>+# =C2=A0 =C2=A0build.sh &lt;other gprbuild=
 options&gt;<br>+# =C2=A0 =C2=A0e.g. &#39;build.sh -j0&#39; : use all avail=
able processors to compile<br>+# =C2=A0 =C2=A0 =C2=A0 =C2=A0 &#39;build.sh =
-wn&#39; : treat warnings as warnings.<br>+# =C2=A0 =C2=A0 =C2=A0 =C2=A0 &#=
39;build.sh -vh&#39; : Verbose output (high verbosity)<br>=C2=A0#<br>=C2=A0=
# See install.sh for install<br>-<br>+#<br>=C2=A0# In December 2016, GNATCO=
LL changed its Xref interface. First, the<br>=C2=A0# GPR was split out; and=
 second, one of the subprogram<br>=C2=A0# interfaces.changed.<br>=C2=A0#<br=
>+<br>=C2=A0# Determine whether the split-out gnatcoll_xref.gpr is availabl=
e.<br>+# To get ada-mode compiling with gnatcoll_xref, make sure the gnatco=
ll directory is added to $GPR_PROJECT_PATH<br>+# i.e. the following file sh=
ould exist: $GPR_PROJECT_PATH/gnatcoll_xref.gpr<br>=C2=A0echo &#39;with &qu=
ot;gnatcoll_xref&quot;; abstract project check_xref is end check_xref;&#39;=
 &gt; check_xref.gpr;<br>-gprbuild -P check_xref.gpr &gt; /dev/null 2&gt;&a=
mp;1;<br>+gprbuild -f -P check_xref.gpr &gt; /dev/null 2&gt;&amp;1;<br>=C2=
=A0if test $? -eq 0 ; then HAVE_GNATCOLL_XREF=3D&quot;yes&quot;; else HAVE_=
GNATCOLL_XREF=3D&quot;no&quot;; fi<br>-<br>=C2=A0echo &quot;HAVE_GNATCOLL_X=
REF=3D$HAVE_GNATCOLL_XREF&quot;<br><br>+WISI_DIR=3D&quot;../wisi-3.0.1&quot=
;<br>+TOP_GPR=3D&quot;ada_mode_wisi_parse.gpr&quot;<br>+<br>=C2=A0gnatprep =
-DHAVE_GNATCOLL_XREF=3D$HAVE_GNATCOLL_XREF <a href=3D"http://gpr_query-proc=
ess_refresh.adb.gp">gpr_query-process_refresh.adb.gp</a> gpr_query-process_=
refresh.adb<br><br>=C2=A0# support for libadalang is still experimental<br>=
=C2=A0gnatprep -DHAVE_GNATCOLL_XREF=3D$HAVE_GNATCOLL_XREF -DHAVE_LIBADALANG=
=3D&quot;no&quot; -DELPA=3D&quot;yes&quot; <a href=3D"http://ada_mode_wisi_=
parse.gpr.gp">ada_mode_wisi_parse.gpr.gp</a> ada_mode_wisi_parse.gpr<br><br=
>-export GPR_PROJECT_PATH=3D&quot;../wisi-3.0.1&quot;<br>+gnatprep -DELPA=
=3D&quot;yes&quot; $WISI_DIR/<a href=3D"http://wisi.gpr.gp">wisi.gpr.gp</a>=
 $WISI_DIR/wisi.gpr<br><br>-gnatprep -DELPA=3D&quot;yes&quot; $GPR_PROJECT_=
PATH/<a href=3D"http://wisi.gpr.gp">wisi.gpr.gp</a> $GPR_PROJECT_PATH/wisi.=
gpr<br>+gprclean -r -P $TOP_GPR -aP$WISI_DIR<br><br>-gprbuild -p -j8 -P ada=
_mode_wisi_parse.gpr<br>-gzip -d -q ada_lr1_parse_table.txt.gz<br>+gprbuild=
 -p -j8 -P $TOP_GPR -aP $WISI_DIR &quot;$@&quot;<br><br>+gzip -c -d -q ada_=
lr1_parse_table.txt.gz &gt;ada_lr1_parse_table.txt<br>=C2=A0# end of file</=
div><div><br><div><div dir=3D"ltr" class=3D"gmail_signature" data-smartmail=
=3D"gmail_signature"><div dir=3D"ltr"><div>---</div><div>Koen Meersman<br>S=
int Lambertuslaan 85<br>2812 Muizen<br>+ 32 (0)15 34 66 08 <br>+ 32 (0)476 =
60 69 30<br><a href=3D"mailto:koen.meersman@HIDDEN" target=3D"_blank">ko=
en.meersman@HIDDEN</a></div></div></div></div></div></div></div>

--000000000000c4958005a2617653--




Acknowledgement sent to Koen Meersman <koen.meersman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN, stephen_leake@HIDDEN:
bug#40403; Package emacs, ada-mode. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 May 2020 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.